<?php
/**
 * Register customizer panels and sections.
 *
 * @package leatherhouse
 */

/**
 * Panel 1: Theme Options
 */

$wp_customize->add_panel(
	new leatherhouse_Customize_Panel(
		$wp_customize,
		'leatherhouse_theme_settings',
		array(
			'priority'   => 10,
			'title'      => esc_html__( 'Theme Options', 'leather-house' ),
			'capabitity' => 'edit_theme_options',
		)
	)
);


	// a. Section: General.
	$wp_customize->add_section(
		new leatherhouse_Customize_Section(
			$wp_customize,
			'leatherhouse_theme_general',
			array(
				'title'    => esc_html__( 'General Settings', 'leather-house' ),
				'panel'    => 'leatherhouse_theme_settings',
				'priority' => 10,
			)
		)
	);

	// b. Top Bar Section.
	$wp_customize->add_section(
		new leatherhouse_Customize_Section(
			$wp_customize,
			'leatherhouse_topbar_settings',
			array(
				'title'    => esc_html__( 'Top Bar Settings', 'leather-house' ),
				'panel'    => 'leatherhouse_theme_settings',
				'priority' => 20,
			)
		)
	);

	// c. Menu Section.
	$wp_customize->add_section(
		new leatherhouse_Customize_Section(
			$wp_customize,
			'leatherhouse_theme_menu_bar',
			array(
				'title'    => esc_html__( 'Menu Settings', 'leather-house' ),
				'panel'    => 'leatherhouse_theme_settings',
				'priority' => 30,
			)
		)
	);

	// d. Section Breadcrumb.
	$wp_customize->add_section(
		new leatherhouse_Customize_Section(
			$wp_customize,
			'leatherhouse_theme_breadcrumb',
			array(
				'title'    => esc_html__( 'Page Breadcrumb Settings', 'leather-house' ),
				'panel'    => 'leatherhouse_theme_settings',
				'priority' => 40,
			)
		)
	);

	// e. Blog Section.
	$wp_customize->add_section(
		new leatherhouse_Customize_Section(
			$wp_customize,
			'leatherhouse_blog_general',
			array(
				'title'    => esc_html__( 'Blog Settings', 'leather-house' ),
				'panel'    => 'leatherhouse_theme_settings',
				'priority' => 50,
			)
		)
	);

	// f. excerpt Section.
	$wp_customize->add_section(
		new leatherhouse_Customize_Section(
			$wp_customize,
			'leatherhouse_excerpt_general',
			array(
				'title'    => esc_html__( 'ReadMore/Excerpt Settings', 'leather-house' ),
				'panel'    => 'leatherhouse_theme_settings',
				'priority' => 60,
			)
		)
	);

	// g. Page Title Section.
	$wp_customize->add_section(
		new leatherhouse_Customize_Section(
			$wp_customize,
			'leatherhouse_theme_page_title',
			array(
				'title'    => esc_html__( 'Page/Breadcrumb Title', 'leather-house' ),
				'panel'    => 'leatherhouse_theme_settings',
				'priority' => 70,
			)
		)
	);


	// h. Footer.
	$wp_customize->add_section(
		new leatherhouse_Customize_Section(
			$wp_customize,
			'leatherhouse_theme_footer',
			array(
				'title'    => esc_html__( 'Footer Settings', 'leather-house' ),
				'panel'    => 'leatherhouse_theme_settings',
				'priority' => 80,
			)
		)
	);

	// h 1. footer widgets.
	$wp_customize->add_section(
		new leatherhouse_Customize_Section(
			$wp_customize,
			'leatherhouse_footer_widgets',
			array(
				'title'    => esc_html__( 'Footer Widgets', 'leather-house' ),
				'panel'    => 'leatherhouse_theme_settings',
				'section'  => 'leatherhouse_theme_footer',
				'priority' => 80,
			)
		)
	);
	// h 2. footer widgets.
	$wp_customize->add_section(
		new leatherhouse_Customize_Section(
			$wp_customize,
			'leatherhouse_footer_copyright',
			array(
				'title'    => esc_html__( 'Footer Copyright', 'leather-house' ),
				'panel'    => 'leatherhouse_theme_settings',
				'section'  => 'leatherhouse_theme_footer',
				'priority' => 90,
			)
		)
	);


	/**
	 * Panel 2: Theme Colors
	 */
	$wp_customize->add_panel(
		new leatherhouse_Customize_Panel(
			$wp_customize,
			'leatherhouse_theme_colors',
			array(
				'priority'   => 11,
				'title'      => esc_html__( 'Theme Colors', 'leather-house' ),
				'capabitity' => 'edit_theme_options',
			)
		)
	);

		// a. Colors > Primary Colors .
		$wp_customize->add_section(
			new leatherhouse_Customize_Section(
				$wp_customize,
				'leatherhouse_theme_skin_color',
				array(
					'title'    => esc_html__( 'Skin Color Mode (Dark/Light)', 'leather-house' ),
					'panel'    => 'leatherhouse_theme_colors',
					'priority' => 10,
				)
			)
		);

		// b. Colors > Primary Colors .
		$wp_customize->add_section(
			new leatherhouse_Customize_Section(
				$wp_customize,
				'leatherhouse_theme_primary_color',
				array(
					'title'    => esc_html__( 'Primary Colors', 'leather-house' ),
					'panel'    => 'leatherhouse_theme_colors',
					'priority' => 10,
				)
			)
		);

		// c: Colors > Menu Color.
		$wp_customize->add_section(
			new leatherhouse_Customize_Section(
				$wp_customize,
				'leatherhouse_primary_menu_colors',
				array(
					'title'    => esc_html__( 'Menu Colors', 'leather-house' ),
					'panel'    => 'leatherhouse_theme_colors',
					'priority' => 10,
				)
			)
		);

		// // c: Colors > Content.
		// $wp_customize->add_section(
		// 	new leatherhouse_Customize_Section(
		// 		$wp_customize,
		// 		'leatherhouse_content_theme_colors',
		// 		array(
		// 			'title'    => esc_html__( 'Content', 'leather-house' ),
		// 			'panel'    => 'leatherhouse_theme_colors',
		// 			'priority' => 10,
		// 		)
		// 	)
		// );

		// // d: Colors > Sidebar.
		// $wp_customize->add_section(
		// 	new leatherhouse_Customize_Section(
		// 		$wp_customize,
		// 		'leatherhouse_sidebar_theme_colors',
		// 		array(
		// 			'title'    => esc_html__( 'Sidebar', 'leather-house' ),
		// 			'panel'    => 'leatherhouse_theme_colors',
		// 			'priority' => 10,
		// 		)
		// 	)
		// );

		// // e: Colors > Footer.
		// $wp_customize->add_section(
		// 	new leatherhouse_Customize_Section(
		// 		$wp_customize,
		// 		'leatherhouse_footer_theme_colors',
		// 		array(
		// 			'title'    => esc_html__( 'Footer', 'leather-house' ),
		// 			'panel'    => 'leatherhouse_theme_colors',
		// 			'priority' => 10,
		// 		)
		// 	)
		// );


			/**
			 * Panel 3: Typography
			 */
			$wp_customize->add_panel(
				new leatherhouse_Customize_Panel(
					$wp_customize,
					'leatherhouse_theme_typography',
					array(
						'priority'   => 30,
						'title'      => esc_html__( 'leatherhouse Typography', 'leather-house' ),
						'capabitity' => 'edit_theme_options',
					)
				)
			);

			// Section: Typography > Enable typography.
			$wp_customize->add_section(
				new leatherhouse_Customize_Section(
					$wp_customize,
					'leatherhouse_enable_disable_typography',
					array(
						'title'    => esc_html__( 'Enable Typography', 'leather-house' ),
						'panel'    => 'leatherhouse_theme_typography',
						'priority' => 5,
					)
				)
			);

			// Section: Typography > Header typography.
			$wp_customize->add_section(
				new leatherhouse_Customize_Section(
					$wp_customize,
					'leatherhouse_header_typography',
					array(
						'title'    => esc_html__( 'Header Typography', 'leather-house' ),
						'panel'    => 'leatherhouse_theme_typography',
						'priority' => 20,
					)
				)
			);

			// Section: Slider > Homepage Section Slider.
			$wp_customize->add_section(
				new leatherhouse_Customize_Section(
					$wp_customize,
					'leatherhouse_slider_typography',
					array(
						'title'    => esc_html__( 'Slider Typography', 'leather-house' ),
						'panel'    => 'leatherhouse_theme_typography',
						'priority' => 25,
					)
				)
			);

			// Section: Typography > Homepage Section typography.
			$wp_customize->add_section(
				new leatherhouse_Customize_Section(
					$wp_customize,
					'leatherhouse_homepage_typography',
					array(
						'title'    => esc_html__( 'Homepage Typography', 'leather-house' ),
						'panel'    => 'leatherhouse_theme_typography',
						'priority' => 30,
					)
				)
			);

			// Section: Headings > Headings typography.
			$wp_customize->add_section(
				new leatherhouse_Customize_Section(
					$wp_customize,
					'leatherhouse_headings_typography',
					array(
						'title'    => esc_html__( 'Headings Typography', 'leather-house' ),
						'panel'    => 'leatherhouse_theme_typography',
						'priority' => 30,
					)
				)
			);

			// Section: Typography > Page typography.
			$wp_customize->add_section(
				new leatherhouse_Customize_Section(
					$wp_customize,
					'leatherhouse_blog_archive_typography',
					array(
						'title'    => esc_html__( 'Blog / Archive / Single Post', 'leather-house' ),
						'panel'    => 'leatherhouse_theme_typography',
						'priority' => 45,
					)
				)
			);

			// Section: Typography > Sidebar typography.
			$wp_customize->add_section(
				new leatherhouse_Customize_Section(
					$wp_customize,
					'leatherhouse_sidebar_widget_typography',
					array(
						'title'    => esc_html__( 'Sidebar Widget', 'leather-house' ),
						'panel'    => 'leatherhouse_theme_typography',
						'priority' => 55,
					)
				)
			);

			// Section: Typography > Footer typography.
			$wp_customize->add_section(
				new leatherhouse_Customize_Section(
					$wp_customize,
					'leatherhouse_footer_widget_typography',
					array(
						'title'    => esc_html__( 'Footer Widget', 'leather-house' ),
						'panel'    => 'leatherhouse_theme_typography',
						'priority' => 65,
					)
				)
			);

			/**
			 * Styling: Theme Styling
			 */
			$wp_customize->add_panel(
				new leatherhouse_Customize_Panel(
					$wp_customize,
					'theme_style',
					array(
						'priority'   => 30,
						'title'      => esc_html__( 'leather House Theme Styling', 'leather-house' ),
						'capabitity' => 'edit_theme_options',
					)
				)
			);

			// Section: Theme Styling > Theme Color.
			$wp_customize->add_section(
				new leatherhouse_Customize_Section(
					$wp_customize,
					'leatherhouse_theme_color_settings',
					array(
						'title'    => esc_html__( 'Theme Color', 'leather-house' ),
						'panel'    => 'theme_style',
						'priority' => 1,
					)
				)
			);

			// Section: Theme Styling > Theme Size.
			$wp_customize->add_section(
				new leatherhouse_Customize_Section(
					$wp_customize,
					'leatherhouse_theme_size_settings',
					array(
						'title'    => esc_html__( 'Layout Size', 'leather-house' ),
						'panel'    => 'theme_style',
						'priority' => 5,
					)
				)
			);

